Draft WireToBSpline/sv: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 6: Line 6:
==Beskrivning==
==Beskrivning==


This tool converts [[Draft Wire|Wires]] to [[Draft BSpline|BSplines]], and vice-versa.
This tool converts [[Draft Wire]]s to [[Draft BSpline]]s, and vice-versa.


[[Image:Draft Wire2BSpline example.jpg|400px]]
[[Image:Draft Wire2BSpline example.jpg|400px]]
{{Caption|Convertir a wire to a B-Spline, and a closed B-Spline to a closed wire}}


==Bruk==
==Bruk==


# Select a [[Draft Wire|wire]] or a [[Draft BSpline|BSpline]]
# Select a [[Draft Wire]] or a [[Draft BSpline]]. The tool is disabled if no object is selected.
# Press the {{KEY|[[Image:Draft WireToBSpline.png|16px]] [[Draft WireToBSpline]]}} button
# Press the {{Button|[[Image:Draft WireToBSpline.svg|16px]] [[Draft WireToBSpline]]}} button.

A new object will be created; the original object will not be modified.

{{Emphasis|Note:}} if a closed wire with sharp edges is used to create a spline, the new object may have self intersecting curve segments, and may not be visible in the 3D view. If this is the case, manually set {{PropertyData|Make Face}} to {{FALSE}} to see the new shape, or set {{PropertyData|Closed}} to {{FALSE}} to create an open shape.


==Options==
==Options==


There are no options for this tool. Either it works with the selected object or not.
* The original object will not be deleted after the operation, you must delete it manually if you wish so.


<div class="mw-translate-fuzzy">
==Skript==
==Skript==
</div>


Not available, but creating a new object with the points from another one is easy, for example:
There is no programming interface available for the WireToBSpline tool; however, creating a new object from the points of another is simple.


The {{incode|Points}} attribute of an object is a list with the points that comprise that object; this list can be passed to functions that build geometry. Each point is defined by its {{incode|FreeCAD.Vector}}, with units in millimeters.
* If the active object is a wire:


Example:
{{Code|code=
{{Code|code=
import FreeCAD,Draft
import FreeCAD, Draft
points = FreeCAD.ActiveDocument.ActiveObject.Points
Draft.makeBSpline(points)
}}


# Make a spline from the points of a wire
* if the active object is a bspline
p1 = FreeCAD.Vector(1000, 1000, 0)
p2 = FreeCAD.Vector(2000, 1000, 0)
p3 = FreeCAD.Vector(2500, -1000, 0)
p4 = FreeCAD.Vector(3500, -500, 0)


base_wire = Draft.makeWire([p1, p2, p3, p4])
{{Code|code=

import FreeCAD,Draft
points1 = base_wire.Points
points = FreeCAD.ActiveDocument.ActiveObject.Points
Draft.makeWire(points)
spline = Draft.makeBSpline(points1)

# Make a wire from the points of a spline
base_spline = Draft.makeBSpline([-p1, -1.3*p2, -1.2*p3, -2.1*p4])

points2 = base_spline.Points
Wire = Draft.makeWire(points2)
}}
}}

{{Draft Tools navi}}
{{Userdocnavi}}
{{clear}}

Revision as of 13:07, 8 January 2019

Draft WireToBSpline

Menyplacering
Drafting -> Wire to BSpline
Arbetsbänkar
Draft, Arch
Standard genväg
Ingen
Introducerad i version
-
Se även
Ingen

Beskrivning

This tool converts Draft Wires to Draft BSplines, and vice-versa.

Convertir a wire to a B-Spline, and a closed B-Spline to a closed wire

Bruk

  1. Select a Draft Wire or a Draft BSpline. The tool is disabled if no object is selected.
  2. Press the Draft WireToBSpline button.

A new object will be created; the original object will not be modified.

Note: if a closed wire with sharp edges is used to create a spline, the new object may have self intersecting curve segments, and may not be visible in the 3D view. If this is the case, manually set DataMake Face to false to see the new shape, or set DataClosed to false to create an open shape.

Options

There are no options for this tool. Either it works with the selected object or not.

Skript

There is no programming interface available for the WireToBSpline tool; however, creating a new object from the points of another is simple.

The Points attribute of an object is a list with the points that comprise that object; this list can be passed to functions that build geometry. Each point is defined by its FreeCAD.Vector, with units in millimeters.

Example:

import FreeCAD, Draft

# Make a spline from the points of a wire
p1 = FreeCAD.Vector(1000, 1000, 0)
p2 = FreeCAD.Vector(2000, 1000, 0)
p3 = FreeCAD.Vector(2500, -1000, 0)
p4 = FreeCAD.Vector(3500, -500, 0)

base_wire = Draft.makeWire([p1, p2, p3, p4])

points1 = base_wire.Points
spline = Draft.makeBSpline(points1)

# Make a wire from the points of a spline
base_spline = Draft.makeBSpline([-p1, -1.3*p2, -1.2*p3, -2.1*p4])

points2 = base_spline.Points
Wire = Draft.makeWire(points2)